require_relative 'lib/juce/version'

Gem::Specification.new do |spec|
  spec.name          = "juce"
  spec.version       = Juce::VERSION
  spec.authors       = ["Claudio B"]
  spec.email         = ["62914375+claudiooutput@users.noreply.github.com"]

  spec.summary       = %q{A library to parse files exported by JUCE apps}
  spec.description   = %q{A set of Ruby helpers to import and export data
    coming from apps built with JUCE (https://juce.com).}
  spec.homepage      = "https://github.com/outputinc/juce"
  spec.license       = "MIT"

  spec.required_ruby_version = Gem::Requirement.new(">= 2.3.0")

  spec.metadata["homepage_uri"] = "https://github.com/outputinc/juce"
  spec.metadata["source_code_uri"] = "https://github.com/outputinc/juce"
  spec.metadata["changelog_uri"] = "https://github.com/outputinc/juce/blob/master/CHANGELOG.md"

  spec.files         = Dir.chdir(File.expand_path('..', __FILE__)) do
    `git ls-files -z`.split("\x0").reject { |f| f.match(%r{^(test|spec|features)/}) }
  end
  spec.bindir        = "exe"
  spec.executables   = spec.files.grep(%r{^exe/}) { |f| File.basename(f) }
  spec.require_paths = ["lib"]
end
